TRISETCMP(1)

NAME
trisetcmp - Compare triangulations between two Regina data files

SYNOPSIS

trisetcmp [ -m | -n ] [ -s ] file1 file2

trisetcmp { -v, --version | -?, --help }

DESCRIPTION

Compares all triangulations in the first file against all triangulations in the second file, looking for pairs of triangulations that are combinatorially isomorphic.

The two given files must be Regina data files. A full list of matches (or a full list of non-matches if -n is passed) is written to standard output. A match occurs when some triangulation from file1 is combinatorially isomorphic to some triangulation from file2 (i.e., identical up to a relabelling of tetrahedra and their vertices).

This utility can also do subcomplex testing instead of full isomorphism testing. See the option -s for details.

This utility compares both 3-manifold and 4-manifold triangulations (but no other dimensions at present). However, it will only compare triangulations of the same dimension - it will not test whether some 3-manifold triangulation appears as a subcomplex of some other 4-manifold triangulation.

OPTIONS

-m (default)
    Output matches only. All isomorphic matches between triangulations in file1 and triangulations in file2 will be listed.

-n  Output non-matches only. All triangulations from file1 with no isomorphic match in file2 will be listed, and vice versa.

    If -s is passed then non-matches are tested in one direction only, not both; see below for details.

-s  Instead of testing triangulations for isomorphism, test whether one triangulation is isomorphic to a subcomplex of the other.

    In the default case of -m (output matches only), this program outputs all instances where a triangulation from file1 is isomorphic to a subcomplex of a triangulation from file2.

    In the case of -n (output non-matches only), this program outputs all triangulations from file1 that are not isomorphic to a subcomplex of any triangulation from file2.

-v, --version
    Show which version of Regina is being used, and exit immediately.

-?, --help
    Display brief usage information, and exit immediately.

INTERNATIONALISATION

If any packets contain international characters, Regina will attempt to convert these to your local character encoding as it writes them to the output.

You can tell Regina what character encoding to use by setting standard locale-related environment variables, such as LANG, LC_CTYPE or LC_ALL.

For example, if LANG is set to en_AU then output will be written in the Western European character set ISO-8859-1, and if LANG is set to en_AU.UTF-8 then output will be written in the universal character set UTF-8.

Typically these environment variables will already be set for you when you install your GNU/Linux system, and Regina will just use the right character set out of the box. See your GNU/Linux system reference for further information on supporting different locales.

MACOS USERS

If you downloaded a drag-and-drop app bundle, this utility is shipped inside it. If you dragged Regina to the main Applications folder, you can run it as /Applications/Regina.app/Contents/MacOS/trisetcmp.

WINDOWS USERS

The command-line utilities are installed beneath the Program Files directory; on some machines this directory is called Program Files (x86). You can start this utility by running c:\Program Files\Regina\Regina 7.3.1\bin\trisetcmp.exe.

SEE ALSO

censuslookup, regina-gui.

AUTHOR

This utility was written by Benjamin Burton <bab@maths.uq.edu.au>. Many people have been involved in the development of Regina; see the users' handbook for a full list of credits.